extends Node3D

@export var _need_water_drop: Sprite3D
@export var _production_timer: Timer

var needs_water := true


func _ready() -> void:
	set_multiplayer_authority(1)
	_need_water_drop.show()


func _on_production_timer_timeout() -> void:
	needs_water = true
	_need_water_drop.show()


@rpc("any_peer", "call_local", "reliable")
func water() -> void:
	if needs_water:
		needs_water = false
		_need_water_drop.hide()
	
	_production_timer.start()
